#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 2628 $
$LastChangedDate:: 2019-12-05 14:24:02 +0100#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script builds the help for one Component.
    
    The purpose is to debug outside of the SyMSpace environment!


    Commandline Arguments
    ---------------------

    --name : str
        Name of the Component
    --dir : str
       Component directory


    Examples
    --------

    >>> python.exe build_component_help.py --name Circle --dir "C:\ComponentSpace\KnowledgeEngines\TechCalc\Circle"
    >>> CSyMSpace.exe build_component_help.py --name Circle --dir "C:\ComponentSpace\KnowledgeEngines\TechCalc\Circle"

    """
    from componentspace.help.component_help import ComponentHelp

    print('\n{:_^20}\n'.format('Build Help'))
    comp_help = ComponentHelp.fromCMDParser()
    if comp_help.checkRoot():
        '''preprocess'''
        comp_help.copyConfFiles()
        # comp_help.build()
        comp_help.buildInternalProcess()
        comp_help.analyzeLogFile()

        '''postprocess'''
        comp_help.cleanUpFolders()
        comp_help.writeCleanHtml()
        comp_help.copyComponentImage()
